Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.pipeline
Class PipelineComponentSupport

    java.lang.Object
      |
      +--com.bea.p13n.appflow.pipeline.PipelineComponentSupport

Direct Known Subclasses:
  CatalogPC

public abstract class PipelineComponentSupport
extends java.lang.Object
implements PipelineComponent

This class provides additional support over implementing PipelineComponent directly.

Field Summary
`static com.bea.p13n.i18n.PipelineExceptionTextFormatter` | `exFmt` Exception message formatter class, conforming to WLS logger API

Constructor Summary
`PipelineComponentSupport()`

Method Summary
`static java.lang.String` | `getCurrentNamespace(PipelineSession pipelineSession)` Convenience method for getting the Current Namespace it just in turn just calls `pipelineSession.getContext.getCurrentNamescpace()`
`static java.lang.Object` | `getRequestAttribute(java.lang.String key, java.lang.String namespace, java.lang.Object reqContext, PipelineSession pSession)` Get request scoped attributes from the pipeline session
`static java.lang.Object` | `getSessionAttribute(java.lang.String key, java.lang.String namespace, PipelineSession pSession)` Get session scoped attributes from the pipeline session
`static void` | `setRequestAttribute(java.lang.String key, java.lang.Object obj, java.lang.String namespace, java.lang.Object reqContext, PipelineSession pSession)` Set request scoped attributes in the pipeline session
`static void` | `setSessionAttribute(java.lang.String key, java.lang.Object obj, java.lang.String namespace, PipelineSession pSession)` Set session scoped attributes in the pipeline session

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exFmt

    public static final com.bea.p13n.i18n.PipelineExceptionTextFormatter exFmt

  Exception message formatter class, conforming to WLS logger API

Constructor Detail

### PipelineComponentSupport

    public PipelineComponentSupport()

Method Detail

### getRequestAttribute

    public static java.lang.Object getRequestAttribute(java.lang.String key,
                                                       java.lang.String namespace,
                                                       java.lang.Object reqContext,
                                                       PipelineSession pSession)
                                                throws PipelineException

  Get request scoped attributes from the pipeline session

### setRequestAttribute

    public static void setRequestAttribute(java.lang.String key,
                                           java.lang.Object obj,
                                           java.lang.String namespace,
                                           java.lang.Object reqContext,
                                           PipelineSession pSession)
                                    throws PipelineException

  Set request scoped attributes in the pipeline session

### getSessionAttribute

    public static java.lang.Object getSessionAttribute(java.lang.String key,
                                                       java.lang.String namespace,
                                                       PipelineSession pSession)
                                                throws PipelineException

  Get session scoped attributes from the pipeline session

### setSessionAttribute

    public static void setSessionAttribute(java.lang.String key,
                                           java.lang.Object obj,
                                           java.lang.String namespace,
                                           PipelineSession pSession)
                                    throws PipelineException

  Set session scoped attributes in the pipeline session

### getCurrentNamespace

    public static java.lang.String getCurrentNamespace(PipelineSession pipelineSession)

  Convenience method for getting the Current Namespace it just in turn just calls `pipelineSession.getContext.getCurrentNamescpace()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved